Loading...
Searching...
No Matches
uhd::usrp::dboard_base Class Reference

`#include <uhd/usrp/dboard_base.hpp>`

Inheritance diagram for uhd::usrp::dboard_base:
[legend]
Collaboration diagram for uhd::usrp::dboard_base:
[legend]

## Public Types

typedef std::shared_ptr< dboard_base > | sptr
typedef void * | ctor_args_t

## Public Member Functions

| dboard_base (ctor_args_t)
virtual | ~dboard_base ()
virtual void | initialize ()

## Protected Member Functions

std::string | get_subdev_name (void)
dboard_iface::sptr | get_iface (void)
dboard_id_t | get_rx_id (void)
dboard_id_t | get_tx_id (void)
dboard_eeprom_t | get_rx_eeprom (void)
dboard_eeprom_t | get_tx_eeprom (void)
property_tree::sptr | get_rx_subtree (void)
property_tree::sptr | get_tx_subtree (void)

## Detailed Description

A daughter board dboard_base class for all dboards. Only other dboard dboard_base classes should inherit this.

## Member Typedef Documentation

## ctor_args_t

typedef void* uhd::usrp::dboard_base::ctor_args_t

An opaque type for the dboard constructor args. Derived classes should pass the args into the base class, but should not deal with the internals of the args.

## sptr

typedef std::shared_ptr<dboard_base> uhd::usrp::dboard_base::sptr

## Constructor & Destructor Documentation

## dboard_base()

uhd::usrp::dboard_base::dboard_base | ( | ctor_args_t |  | ) |

## ~dboard_base()

virtual uhd::usrp::dboard_base::~dboard_base | ( |  | ) |

virtual

## Member Function Documentation

## get_iface()

dboard_iface::sptr uhd::usrp::dboard_base::get_iface | ( | void |  | ) |

protected

## get_rx_eeprom()

dboard_eeprom_t uhd::usrp::dboard_base::get_rx_eeprom | ( | void |  | ) |

protected

## get_rx_id()

dboard_id_t uhd::usrp::dboard_base::get_rx_id | ( | void |  | ) |

protected

## get_rx_subtree()

property_tree::sptr uhd::usrp::dboard_base::get_rx_subtree | ( | void |  | ) |

protected

## get_subdev_name()

std::string uhd::usrp::dboard_base::get_subdev_name | ( | void |  | ) |

protected

## get_tx_eeprom()

dboard_eeprom_t uhd::usrp::dboard_base::get_tx_eeprom | ( | void |  | ) |

protected

## get_tx_id()

dboard_id_t uhd::usrp::dboard_base::get_tx_id | ( | void |  | ) |

protected

## get_tx_subtree()

property_tree::sptr uhd::usrp::dboard_base::get_tx_subtree | ( | void |  | ) |

protected

## initialize()

virtual void uhd::usrp::dboard_base::initialize | ( |  | ) |

inline virtual

The documentation for this class was generated from the following file:

- dboard_base.hpp